> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hydric.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Search for a token by address across multiple chains.

> 
Searches for a token at the specified contract address in all supported blockchain networks (or a subset via `chainIds`).

Returns a list of matching tokens with their metadata (Chain ID, Name, Symbol, Decimals). Does **not** include Pool TVL metrics.
      



## OpenAPI

````yaml https://api.hydric.org/v1/openapi.json get /v1/tokens/{tokenAddress}
openapi: 3.1.0
info:
  title: hydric Gateway API
  description: Access DeFi Liquidity easily. One plug. Every Protocol. Every Network.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.hydric.org
security:
  - bearerAuth: []
tags: []
paths:
  /v1/tokens/{tokenAddress}:
    get:
      tags:
        - Tokens
      summary: Search for a token by address across multiple chains.
      description: >-

        Searches for a token at the specified contract address in all supported
        blockchain networks (or a subset via `chainIds`).


        Returns a list of matching tokens with their metadata (Chain ID, Name,
        Symbol, Decimals). Does **not** include Pool TVL metrics.
              
      operationId: TokensController_searchTokensByAddress
      parameters:
        - name: tokenAddress
          required: true
          in: path
          description: The Token contract address to search for.
          schema:
            example: '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48'
            type: string
        - name: chainIds
          required: false
          in: query
          description: Optional list of chain IDs to restrict the lookup to.
          schema:
            example: 1,143
            type: string
      responses:
        '200':
          description: Tokens found at the specified address.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchTokensByAddressResponse'
components:
  schemas:
    SearchTokensByAddressResponse:
      type: object
      properties:
        tokens:
          description: List of tokens found at this address across different chains.
          example:
            - chainId: 1
              address: '0x0000000000000000000000000000000000000000'
              decimals: 18
              name: Ether
              symbol: ETH
              logoUrl: >-
                https://logos.hydric.org/tokens/1/0x0000000000000000000000000000000000000000
          type: array
          items:
            $ref: '#/components/schemas/SingleChainTokenMetadata'
      required:
        - tokens
    SingleChainTokenMetadata:
      type: object
      properties:
        chainId:
          type: number
          description: The chain id of the network where the token resides.
          example: 1
          enum:
            - 1
            - 143
            - 130
            - 999
            - 8453
            - 9745
            - 534352
        address:
          type: string
          description: >-

            The contract address of the token on its host network.


            * **ERC-20 Tokens:** The 20-byte hex contract address.

            * **Native Assets (e.g., ETH, MATIC):** Represented by the "Zero
            Address" (`0x000...000`).
                
          example: '0x0000000000000000000000000000000000000000'
        decimals:
          type: number
          description: >-
            The number of decimal places used to represent the smallest
            fractional unit of the token (e.g., 18 for ETH, 6 for USDC).
          example: 18
        name:
          type: string
          description: >-
            The full human-readable name of the asset (e.g., "Ethereum",
            "Wrapped Bitcoin").
          example: Ether
        symbol:
          type: string
          description: The ticker symbol of the token (e.g., "ETH", "WBTC")..
          example: ETH
        logoUrl:
          type: string
          description: The URL of the token logo.
          example: >-
            https://logos.hydric.org/tokens/1/0x0000000000000000000000000000000000000000
      description: Core identifying metadata for a token on a single blockchain.
      required:
        - chainId
        - address
        - decimals
        - name
        - symbol
        - logoUrl
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        Use the docs sandbox API key for authentication:
        **hydric_docs_4N4ocuirsN8Sh**

````